Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 415261 - Stabilization for x11-libs/qt-meta-4.8
Summary: Stabilization for x11-libs/qt-meta-4.8
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on: qt-4.8.1-stable
Blocks:
  Show dependency tree
 
Reported: 2012-05-09 16:14 UTC by ChaosEngine
Modified: 2012-05-20 20:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ChaosEngine 2012-05-09 16:14:24 UTC
After latest stabilization for Qt 4.8.1 stabilization (https://bugs.gentoo.org/show_bug.cgi?id=414241) leftovers in the form of qt-meta should be also brought to stable amd64 IMHO.

At least for the x11-libs/qt-meta-4.8 version
Comment 1 ChaosEngine 2012-05-09 16:17:21 UTC
proof:

$ grep -ri KEYWORDS /usr/portage/x11-libs/qt-*/qt-*-4.8.1*.ebuild | grep amd64
/usr/portage/x11-libs/qt-assistant/qt-assistant-4.8.1-r1.ebuild:KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86 ~ppc-macos ~x64-macos"
/usr/portage/x11-libs/qt-bearer/qt-bearer-4.8.1.ebuild:KEYWORDS="amd64 ~hppa ~x86"
/usr/portage/x11-libs/qt-core/qt-core-4.8.1-r1.ebuild:KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-core/qt-core-4.8.1-r2.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-dbus/qt-dbus-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-declarative/qt-declarative-4.8.1.ebuild:KEYWORDS="amd6  ~arm ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
/usr/portage/x11-libs/qt-demo/qt-demo-4.8.1-r1.ebuild:KEYWORDS="amd64 ~ppc ~ppc64 ~x86 ~x64-macos"
/usr/portage/x11-libs/qt-gui/qt-gui-4.8.1-r1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-multimedia/qt-multimedia-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
/usr/portage/x11-libs/qt-opengl/qt-opengl-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-openvg/qt-openvg-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-phonon/qt-phonon-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-qt3support/qt-qt3support-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-script/qt-script-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-sql/qt-sql-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-sql/qt-sql-4.8.1-r1.ebuild:KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-svg/qt-svg-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-test/qt-test-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-webkit/qt-webkit-4.8.1.ebuild:KEYWORDS="amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
/usr/portage/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.8.1.ebuild:KEYWORDS="amd6  ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2012-05-09 18:05:00 UTC
Thanks fixed
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2012-05-09 18:39:51 UTC
I reverted my commit. I dont think we need stable keywords for the meta package
Comment 4 ChaosEngine 2012-05-09 18:42:43 UTC
Ok, no argue on that one, however it would be nice ;-)
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2012-05-09 18:48:25 UTC
I have a feeling that users are not encouraged to use the meta package but they should migrate to split ebuilds instead. This is we try to avoid adding stable keywords to this ebuild. However, we have the meta package for those who really need all the qt modules installed (like Qt developers). I am not sure, so I will let another member of the Qt team to handle this bug
Comment 6 Ben de Groot (RETIRED) gentoo-dev 2012-05-10 12:18:30 UTC
We removed the meta ebuild for a reason, and I am very surprised to see someone reintroduced it in the time I was retired. The danger with having a qt-meta ebuild is that ebuild authors may think they can depend on qt-meta instead of specific modules. And the great majority of our users don't need it; they should just let the Qt library modules be pulled in as dependencies.

There are several ways for users and developers who do need all modules to get a list of them. For one, we provide sets in the qt overlay[1], and tools like eix can also produce a list.

[1]: https://gitorious.org/gentoo-qt/qt/trees/master/sets
Comment 7 Ben de Groot (RETIRED) gentoo-dev 2012-05-12 04:37:42 UTC
After internal discussion we decided to keep this ebuild and have it marked stable where applicable.

Arches, please go ahead.
Comment 8 ChaosEngine 2012-05-12 15:01:29 UTC
^_^
Comment 9 Davide Pesavento gentoo-dev 2012-05-20 20:50:51 UTC
All done.